//
//  UIImageView+Extensions.swift
//  App Store Search
//
//  Created by Nikita Somenkov on 05.02.2022.
//

import Foundation
import UIKit

extension UIImageView {

    private static let imageLoader = ImageLoaderService(cacheCountLimit: 500)

    @MainActor
    func setImage(by url: URL) async throws {
        let image = try await Self.imageLoader.loadImage(for: url)

        if !Task.isCancelled {
            self.image = image
        }
    }

}
